### Function

# EDataServer Module load_file

since: 3.16

#### Declaration [src]

    EModule*
    e_module_load_file (
      const gchar* filename
    )

#### Description [src]

Load the module from the specified filename into memory. If you want to unload it (enabling on-demand loading) you must call `g_type_module_unuse()` on the module.

Available since: 3.16

#### Parameters

`filename`

  Type: `const gchar*`

  Filename of the module to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EModule`

An `EModule` loaded from `filename`.

The caller of the function takes ownership of the data, and is responsible for freeing it.